Skip to content

微信 API - 搜索 (V1)

prod-global
GET
/api/weixin/search/v1

支持基于关键词对微信公众号及其发布文章进行搜索。该接口返回匹配的公众号或文章,并提供详细信息,如公众号名称、文章标题、发布时间和摘要。

典型使用场景:

  • 发现与特定主题相关的新公众号。
  • 使用关键词查找历史文章。

请求参数

参数名位置类型必填说明
tokenquerystringAPI 的访问令牌。
keywordquerystring搜索关键词。
offsetqueryinteger分页偏移量(从0开始,每次增加20)。
searchTypequerystring搜索结果类型(公众号、文章等)。

可用值:
- _0: 全部
- _1: 微信公众号
- _2: 文章
- _7: 微信视频号
- _262208: 微信小程序
- _384: 表情
- _16777728: 百科
- _9: 直播
- _1024: 图书
- _512: 音乐
- _16384: 新闻
- _8192: 微信指数
- _8: 朋友圈
sortTypequerystring搜索结果排序标准。

可用值:
- _0: 默认
- _2: 最新
- _4: 热门

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/weixin/search/v1?token=YOUR_API_KEY&keyword=VALUE"
text
我想使用 Just One API 提供的“搜索 (V1)”接口。
接口地址: https://api.justoneapi.com/api/weixin/search/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/weixin-apis/search-v1-zh.json

请求参数说明:
- token (query): API 的访问令牌。 (必填)
- keyword (query): 搜索关键词。 (必填)
- offset (query): 分页偏移量(从0开始,每次增加20)。
- searchType (query): 搜索结果类型(公众号、文章等)。

可用值:
- `_0`: 全部
- `_1`: 微信公众号
- `_2`: 文章
- `_7`: 微信视频号
- `_262208`: 微信小程序
- `_384`: 表情
- `_16777728`: 百科
- `_9`: 直播
- `_1024`: 图书
- `_512`: 音乐
- `_16384`: 新闻
- `_8192`: 微信指数
- `_8`: 朋友圈
- sortType (query): 搜索结果排序标准。

可用值:
- `_0`: 默认
- `_2`: 最新
- `_4`: 热门

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/weixin/search/v1?token=YOUR_API_KEY&keyword=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/weixin/search/v1?token=YOUR_API_KEY&keyword=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/weixin/search/v1?token=YOUR_API_KEY&keyword=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/weixin/search/v1?token=YOUR_API_KEY&keyword=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/weixin/search/v1?token=YOUR_API_KEY&keyword=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "boxID": "0x800-0-0",
    "boxPos": 28,
    "boxPosMerge": 7,
    "count": 6,
    "items": [
      {
        "docID": "附近3公里吃的美食",
        "jumpType": 15,
        "parentType": 20,
        "reportId": "%E9%99%84%E8%BF%913%E5%85%AC%E9%87%8C%E5%90%83%E7%9A%84%E7%BE%8E%E9%A3%9F:hint:609944",
        "word": "附近3公里吃的美食"
      },
      {
        "docID": "苗嫂现状",
        "jumpType": 15,
        "parentType": 20,
        "reportId": "%E8%8B%97%E5%AB%82%E7%8E%B0%E7%8A%B6:hint:775244",
        "word": "苗嫂现状"
      },
      {
        "docID": "深夜放毒美食诱惑",
        "jumpType": 15,
        "parentType": 20,
        "reportId": "%E6%B7%B1%E5%A4%9C%E6%94%BE%E6%AF%92%E7%BE%8E%E9%A3%9F%E8%AF%B1%E6%83%91:hint:370654",
        "word": "深夜放毒美食诱惑"
      },
      {
        "docID": "舌尖上的美食",
        "jumpType": 15,
        "parentType": 20,
        "reportId": "%E8%88%8C%E5%B0%96%E4%B8%8A%E7%9A%84%E7%BE%8E%E9%A3%9F:hint:529193",
        "word": "舌尖上的美食"
      },
      {
        "docID": "附近5公里的美食",
        "jumpType": 15,
        "parentType": 20,
        "reportId": "%E9%99%84%E8%BF%915%E5%85%AC%E9%87%8C%E7%9A%84%E7%BE%8E%E9%A3%9F:hint:574669",
        "word": "附近5公里的美食"
      },
      {
        "docID": "好吃美食大全",
        "jumpType": 15,
        "parentType": 20,
        "reportId": "%E5%A5%BD%E5%90%83%E7%BE%8E%E9%A3%9F%E5%A4%A7%E5%85%A8:hint:666575",
        "word": "好吃美食大全"
      }
    ],
    "mixerCommonContext": "{\"mixerrank_list\":[],\"feedrank_list\":[],\"commentrank_list\":[]}",
    "real_type": 2048,
    "resultType": 0,
    "subType": 0,
    "title": "相关搜索",
    "type": 24
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。